// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// WalletRegistryKeys.h
// Comment these out to turn off various verbose TRACES from the Debug output

#ifndef _WALLETREGISTRYKEYS_H
#define _WALLETREGISTRYKEYS_H

static const char WALLET_DISABLE_KEY[]				= "WalletDisable";
static const char WALLET_AUTO_START_KEY[]			= "WalletAutoStart";
static const char WALLET_STR_ALWAYS_START[]			= "WalletAlwaysStart";
static const char WALLET_STR_NEVER_START[]			= "WalletNeverStart";
static const char WALLET_STR_PROMPT[]				= "WalletPrompt";
static const char WALLET_ENABLE_FORM_TEACHER_KEY[]	= "WalletEnableFormTeacher";
static const char WALLET_SECRET_KEY[]				= "WalletSecretKey";

#endif //_WALLETREGISTRYKEYS_H