// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// this define the keys known by the test agents and test
// it's a way to communicate

#ifndef _Test_Registry_Keys_H
#define _Test_Registry_Keys_H

////////////////////////////////////////////////////////////////////////////////
// General Keys
////////////////////////////////////////////////////////////////////////////////

//#define FREEDOM_DIR_KEY					"Test_FreedomDir"
const char FREEDOM_DIR_KEY[] = { "Test_FreedomDir" };
//#define TEST_DATA_DIR_KEY				"Test_TestDataDir"
const char TEST_DATA_DIR_KEY[] = { "Test_TestDataDir" };
const char UNIT_TESTS_ID_KEY[] = { "UnitTestsIDFile" };
const char UNIT_TESTS_DEFAULT_EXPORT_FILE[] = { "TestsDef.txt" };
const char FREEDOM_SETUP_UNIT_TEST_NAME[] = { "zkcentral/zkservices/FreedomSetupUnitTest" };
const char LAST_TEST_AGENT_SCRIPT[] = { "Test_LastTestAgentScript" };

////////////////////////////////////////////////////////////////////////////////
// Setup Wizard Test Keys
////////////////////////////////////////////////////////////////////////////////

//#define SETUP_WIZARD_EMAIL_ADDRESS_KEY	"Test_SetupWizard_EmailAddress"
const char SETUP_WIZARD_EMAIL_ADDRESS_KEY[] = { "Test_SetupWizard_EmailAddress" };
//#define SETUP_WIZARD_PASSWORD_KEY		"Test_SetupWizard_Password"
const char SETUP_WIZARD_PASSWORD_KEY[] = { "Test_SetupWizard_Password" };
//#define SETUP_WIZARD_PARAM_FILE_KEY		"Test_SetupWizard_ParamFile"
const char SETUP_WIZARD_PARAM_FILE_KEY[] = { "Test_SetupWizard_ParamFile" };

////////////////////////////////////////////////////////////////////////////////
// ZKLSP Test Keys
////////////////////////////////////////////////////////////////////////////////

//#define ZKLSP_INPUT_FILE_KEY			"Test_ZKLSP_InputFile"
const char ZKLSP_INPUT_FILE_KEY[] = { "Test_ZKLSP_InputFile" };
//#define ZKLSP_OUTPUT_FILE_KEY			"Test_ZKLSP_OutputFile"
const char ZKLSP_OUTPUT_FILE_KEY[] = { "Test_ZKLSP_OutputFile" };


#endif //_Test_Registry_Keys_H