/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/* Common Header file for ZkYarrow project - Mario Contestabile 25 May 2000

*/

#if !defined(ZKYARROW_H__)
#define ZKYARROW_H__ 1

#ifdef WIN32

#ifdef ZKYARROW_IMPL
	#define ZKYARROW_DLL __declspec( dllexport ) 
#else
	#define ZKYARROW_DLL __declspec( dllimport ) 
#endif // ZKYARROW_IMPL
#else
	#define ZKYARROW_DLL

#endif // WIN32

enum source { KEYBOARD, MOUSE };

#endif /* ZKYARROW_H__ */





