/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */



#ifndef INETHELPUNITTEST_H__
#define INETHELPUNITTEST_H__

#ifdef INTERNAL_BUILD

#include <../../libzktest/ZkTestBase.h>

class InetHelpUnitTest : public ZkTestBase
{
public:
	InetHelpUnitTest()
		: ZkTestBase( "zkbase/InetHelpUnitTest", 
						"Unit tests for all classes under InetHelp" )
	{}

	~InetHelpUnitTest()
	{}

	// PURPOSE: Test the scalper tester.
	// REQUIRE: Nothing
	// PROMISE: Nothing
	static void ZKTestScalperUnitTest();

	virtual long Execute( void* );
};


#endif // INTERNAL_BUILD

#endif // INETHELPUNITTEST_H__
