/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef ZKS_INCL_UIMESSAGES
#define ZKS_INCL_UIMESSAGES
/*
  Temporary message table.
  Will be replaced when we use same IDs and messages accross all platforms.
  For now this will register a default catalog at index zero.
*/

#define UIMESSAGES 0x2C00
#define UIMSG_INVALID_PASSPHRASE  UIMESSAGES
#define UIMSG_INVALID_CURRENT     UIMESSAGES+1
#define UIMSG_PASSPHRASE_MISMATCH UIMESSAGES+2
#define UIMSG_SAME_PASSPHRASE     UIMESSAGES+3
#define UIMSG_INITIAL_TEST        UIMESSAGES+4
#define UIMSG_CREATE_NYM_ENTRY    UIMESSAGES+5
#define UIMSG_SIZE                6




#endif
