/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_ZKDIALOGSHELPERS
#define ZKS_INCL_ZKDIALOGSHELPERS

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <client.h>

/*===========================================================================
 * CLASS ZkDialogsHelpers
 *=========================================================================*/

class ZkDialogsHelpers {

public: 
    /*----- static member functions -----*/

    static bool ShouldShowOutgoingMailDlg(bool in_bUsingBogusMailServer,
                                          bool in_bSMTP,
                                          long& out_nSendFromNymIndex,
                                          bool& out_bShowCheckBox);

private: 

    /*----- static member functions -----*/
    static size_t GetNumNymsThatUseMail( );

    /*----- member functions -----*/

    ZkDialogsHelpers();
    ~ZkDialogsHelpers();
};
#endif
