/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
  
#ifndef ZKS_INCL_WZLICENSE
#define ZKS_INCL_WZLICENSE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_WZSETUPBASE
#include <WzSetupBasePage.h>
#endif

#include <gtk/gtk.h>


/*===========================================================================
 * CLASS WzLicense
 *=========================================================================*/

class WzLicense : public WzSetupBasePage {

public: 

    /*----- member functions -----*/
      
    WzLicense();
    virtual ~WzLicense();

    bool NextPage();


private: 

    /*----- member functions -----*/

	// Prohibited funcs - not implemented.
	WzLicense( const WzLicense& );
	const WzLicense& operator=( const WzLicense& );

    /*----- data members -----*/
    
    GtkWidget* m_agreement;

};
#endif
