/*
 *  $Id: zkIntLimits.h,v 1.4.10.2 2000/12/14 20:12:32 mario Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 *  
 *  zkIntLimits.h
 */ 
#ifndef _ZKINTLIMITS_H
#define _ZKINTLIMITS_H

#ifdef WIN32
#include <limits.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifdef WIN32

#define UINT16_MAX _UI16_MAX
#define UINT8_MAX _UI8_MAX

#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKINTLIMITS_H */
