/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/*
 *  $Id$
 *  
 *  zkIntLimits.h
 */ 
#ifndef _ZKVERINFO_H
#define _ZKVERINFO_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

   typedef struct _zk_ver_info {
      const char *major;
      const char *minor;
      const char *patch;
      const char *buildnum;
      const char *hostname;
      const char *date;
   } ZkVerInfo;

   const ZkVerInfo *zkVerInfoGetStruct(void);
   const char      *zkVerInfoGetString(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKVERINFO_H */
