/*
 *  $Id: zkfile_replace.h,v 1.1.32.1 2000/10/11 13:19:59 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKFILE_REPLACEH_
#define ZKFILE_REPLACEH_

#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int zkFileMultiReplace(ZkError err, const char *ext_old, const char *ext_new, const char **file, size_t nfiles);
  extern DLLExport int zkFileMultiRecover(ZkError err, const char *ext_old, const char *ext_new, const char **file, size_t nfiles);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKFILE_REPLACEH_ */
