/*
 * $Id: zksfork.h,v 1.2.20.1 2000/10/11 13:19:59 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
#ifndef ZKSFORK_H_
#define ZKSFORK_H_

#include "zks.h"
#include "zkIntTypes.h"
#include "zkError.h" 

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int zkSFork            (int *sock);
int zkFileSFork        (FILE ** readFdP,  FILE ** writeFdP);
 

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKSFORK_H_ */
