/*
** **************************************************************************
** $Id: zkAudit.h,v 1.1.30.1 2000/10/11 13:20:08 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

**
** Copyright (C) 1999 Zero-Knowledge Systems Inc.  All Rights Reserved
** **************************************************************************
*/

# ifndef ZKAUDIT_H_
# define ZKAUDIT_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

# ifdef __cplusplus
extern "C" {
# endif

  typedef struct t_ZkAuditLog *        ZkAuditLog;
  typedef struct t_ZkAuditSession *    ZkAuditSession;
  typedef struct t_ZkAuditEntry *      ZkAuditEntry;
  
# ifdef __cplusplus
}
# endif

# include "zkAuditLog.h"
# include "zkAuditSession.h"
# include "zkAuditEntry.h"

# endif /* ZKAUDIT_H_ */
