// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// All Freedom Interfaces, Classids and other GUIDs should be defined here
//

#ifndef _FREEDOM_GUIDS_H__
#define _FREEDOM_GUIDS_H__

//
// For easy porting we don't use real Microsoft Guids
// These aren't globally unique, but they sure compile
// easily.
//

#define IID_INYM					0x1000
#define IID_IMAIL					0x1001
#define IID_INYMWALLET				0x1002
#define IID_INYMCOOKIEMGR			0x1003
#define IID_INYMROUTE               0x1004
#define IID_INYMWEBCACHEMGR			0x1005

#endif