/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef _CLIENTBASEINC_H
#define _CLIENTBASEINC_H

#ifdef WIN32

#ifdef CLIENTBASE_IMPL
   #define CLIENTBASE_DLL __declspec( dllexport ) 
#else
   #define CLIENTBASE_DLL __declspec( dllimport ) 

	// Force anyone including this to Link to this DLL
   #ifdef _DEBUG
      #pragma comment( lib, "ClientBD.LIB" )
   #else
      #pragma comment( lib, "ClientBR.LIB" )
   #endif
#endif

#else

#	define CLIENTBASE_DLL

#endif	// WIN32


#endif // _CLIENTBASEINC_H