// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include "IRouteDialogs.h"

ZKRouteDialogs::ZKRouteDialogs( ZKSTD::auto_ptr< IRouteDialogs > handler )
   : m_pRouteDialog( handler )
{
}

bool  
ZKRouteDialogs::GetInteractiveRouteRules( WRouteRules& in_Rules, WRoute& out_Route ) 
{ 
	return get().m_pRouteDialog->GetInteractiveRouteRules( in_Rules, out_Route ) ;
}

