/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_ZKHINT
#define ZKS_INCL_ZKHINT


#include "ClientBaseInc.h"

/*
  This is a very dumb class meant only for specialization.
  It is used by ZkSubject and ZkObserver to send/receive information through
  a standard API.
*/

class CLIENTBASE_DLL ZkHint {

public: 

    /*----- member functions -----*/

    ZkHint();
    virtual ~ZkHint();

private:

	// Prohibited funcs - not implemented.
	ZkHint( const ZkHint& );
	const ZkHint& operator=( const ZkHint& );


};
#endif
