// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// ZKTestScalper.h: Test functions about scalper
//
//////////////////////////////////////////////////////////////////////

#ifndef _ZKTESTSCALPER_H
#define _ZKTESTSCALPER_H
#pragma once

#include <string>
#include "ZKConfiguration.h"
#include "inethelp.h"


class INETHELP_DLL ZKTestScalper  
{
private:
	ZKTestScalper();  // this class cannot be instantiated.

public:

	// Use GetSerialNumberLocation to get a serial number from the scalper html page
	static bool GetSerialNumber(ZKSTD::string& out_serialNumber, SerialNumberTypes);


};

#endif // _ZKTESTSCALPER_H
