// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__561A6D09_4BB2_11D2_8097_00104B6B4FA4__INCLUDED_)
#define AFX_STDAFX_H__561A6D09_4BB2_11D2_8097_00104B6B4FA4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#pragma warning (disable : 4786)
#include <new>

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxmt.h>

#include <afxtempl.h>

#ifndef _AFX_NO_DB_SUPPORT
#include <afxdb.h>			// MFC ODBC database classes
#endif // _AFX_NO_DB_SUPPORT

#ifndef _AFX_NO_DAO_SUPPORT
#include <afxdao.h>			// MFC DAO database classes
#endif // _AFX_NO_DAO_SUPPORT

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#ifndef _AFX_NO_OLE_SUPPORT
#include <afxole.h>         // MFC OLE classes
#include <afxodlgs.h>       // MFC OLE dialog classes
#include <afxdisp.h>        // MFC OLE automation classes
#endif // _AFX_NO_OLE_SUPPORT


#include <windowsx.h>
#include <process.h>

//// Standard C++ headers
#include <functional>
#include <algorithm>


// My #includes
#include <zks.h>
#include <zkMemBuf.h>
#include <zkIntLimits.h>
#include <zkIntTypes.h>
#include <zkTypes.h>
#include <zkMIME.h>
#include <zklog.h>
////////////////////////////

// Define this if you want to observe cookies going in and our, for
// debugging purposes.  Never check this in defined.
//#define COOKIE_OBSERVER_MODE

#include <TraceControl.h>
#ifndef TRACE_HTTP_PROXY
#undef TRACE
#define TRACE(str)
#undef TRACE0
#define TRACE0(str)
#undef TRACE1
#define TRACE1(str, arg1)
#undef  TRACE2
#define TRACE2(str, arg1, arg2)
#undef  TRACE3
#define TRACE3(str, arg1, arg2, arg3)
#endif

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__561A6D09_4BB2_11D2_8097_00104B6B4FA4__INCLUDED_)
