/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
  
#ifndef ZKS_INCL_UINIQSUPDATE
#define ZKS_INCL_UINIQSUPDATE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UITHREADBASE
#include <UiThreadBase.h>
#endif



/*===========================================================================
 * CLASS UiNIQSUpdate
 *=========================================================================*/

class UiNIQSUpdate :
    public UiThreadBase {

public: 

    /*----- static member functions -----*/

    /*----- member functions -----*/

    UiNIQSUpdate();
    ~UiNIQSUpdate();
      
protected: 

    /*----- member functions -----*/

    // Purpose: Please see the base class for details on each function.
    virtual void OnThreadStart();
    virtual void OnThreadEnd();
    virtual void OnThreadExecute();


};
#endif
