/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIBACKUPBASE
#define ZKS_INCL_UIBACKUPBASE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <gtk/gtk.h>

/*===========================================================================
 * CLASS UiBackupBase
 *=========================================================================*/

/*
  This is really just a silly class that was needed in order to share the
  backup functionality between the Preferences and the Wizards.
*/

class UiBackupBase {

public: 

    /*----- static member functions -----*/

	// Purpose:  Backup the nym file.
    //           Uses the given widget ( assumed to be a GnomeFileEntry ) to
    //           determine the path where to save the backup, then does the save.
    static bool DoBackup( GtkWidget* );
};
#endif
