/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */



/*
  This file contains the functions to craete all the dialog boxes in the 
  preferences. It is in a separate file mostly to avoid all sorts of 
  dependencies between UiPrefDlg and all the dialog classes present and future.

  I see no need for some elaborate auto-register mechanism of the dialogs 
  for now.
*/

namespace UiPrefInit
{
	// Purpose:  Creates the dialog tree and all pages of the Preferences.
	// Requires: The UiPrefDlg singleton must be create prior to calling 
    //           this function.
    void AddPrefsPages();

    void AddNymPages();
    void RemoveNymPages();
}


