/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

# ifndef frmailaccount_utils_h_included
# define frmailaccount_utils_h_included

# define ZK_FAILURE_CODE        (0)
# define ZK_SUCCESS_CODE        (1)
# define ZK_ATTEMPT(x)          do { if (!(x)) { \
                                     goto ZK_ATTEMPT_FAILED; }} while (0)
# define ZK_CHECK_CONSTRAINT(v) do { if (!(v)) { \
                                     zkErrorSet( error, func, \
                                                 ZKERR,ZKMMAILACCOUNT, \
                                                 ZKERROR, \
                                                 "(" #v ") doesn't hold" ); \
                                     goto ZK_ATTEMPT_FAILED; }} while (0)

# endif /* frmailaccount_utils_h_included */
