/* $Id: txt2cdbmake.cpp,v 1.3.10.3 2000/12/14 17:52:54 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 *
 * This program takes a list of blocklist keys (on stdin) and outputs a
 * cdbmake format data stream which can be converted to a CDB archive
 * which is suitable for use as a blocklist file.
 */

# include <iostream>
# include <string>

using namespace std;

int main ( int, const char ** )
{
  string s;

  while (cin >> s) {
    cout << "+" << s.length() << ",0:" << s << "->" << endl;
  }
  cout << endl;

  return (0); 
}
