/*
 *  $Id: frPktFmt.h,v 1.26.20.3 2000/12/15 02:21:48 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#define DEBUG_CKSUM 0


#ifndef FRPKTFMT_H_
#define FRPKTFMT_H_

#include "zks.h"
#include <stdlib.h>
#ifndef WIN32
#include <netinet/in.h> /* htons() */
#endif
#include "frCrypt.h"
#include "zkError.h"
#include "zkIntTypes.h"

#include "fr_genpkt.h"
#include "fr_nymauth.h"
#include "fr_rcpkt.h"
#include "fr_rdpkt.h"
#include "fr_datapkt.h"
#include "fr_difhel.h"
#include "fr_stats.h"


#define FRPKT_DATA_VERSION_1    1
#define FRPKT_DATA_VERSION_2    2

#define FRPKT_ROUTE_VERSION_1   FRPKT_DATA_VERSION_1
#define FRPKT_ROUTE_VERSION_2   FRPKT_DATA_VERSION_2

#define FRPKT_PRIORITY_DEFAULT  1

#endif /* FRPKTFMT_H_ */

