/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef CLIENTVERSIONS_H_
#define CLIENTVERSIONS_H_

#define FREEDOM_CLIENT_MAJOR "2"
#define FREEDOM_CLIENT_MINOR "1"
#define FREEDOM_CLIENT_PATCH "1"
#define FREEDOM_CLIENT_MAJOR_INT 2
#define FREEDOM_CLIENT_MINOR_INT 1
#define FREEDOM_CLIENT_PATCH_INT 1
#define FREEDOM_CLIENT_VERSION_FLOAT 2.1


/* Windows versions */
#define FREEDOM_CLIENT_MAJOR_WIN FREEDOM_CLIENT_MAJOR
#define FREEDOM_CLIENT_MINOR_WIN FREEDOM_CLIENT_MINOR
#define FREEDOM_CLIENT_PATCH_WIN FREEDOM_CLIENT_PATCH
#define FREEDOM_CLIENT_MAJOR_WIN_INT FREEDOM_CLIENT_MAJOR_INT
#define FREEDOM_CLIENT_MINOR_WIN_INT FREEDOM_CLIENT_MINOR_INT
#define FREEDOM_CLIENT_PATCH_WIN_INT FREEDOM_CLIENT_PATCH_INT
#define FREEDOM_CLIENT_NIQS_WIN  "freedom-windows-" FREEDOM_CLIENT_MAJOR_WIN "." FREEDOM_CLIENT_MINOR_WIN "-" FREEDOM_CLIENT_PATCH_WIN

/* Linux versions */
#define FREEDOM_CLIENT_MAJOR_LINUX FREEDOM_CLIENT_MAJOR
#define FREEDOM_CLIENT_MINOR_LINUX FREEDOM_CLIENT_MINOR
#define FREEDOM_CLIENT_PATCH_LINUX FREEDOM_CLIENT_PATCH
#define FREEDOM_CLIENT_MAJOR_LINUX_INT FREEDOM_CLIENT_MAJOR_INT
#define FREEDOM_CLIENT_MINOR_LINUX_INT FREEDOM_CLIENT_MINOR_INT
#define FREEDOM_CLIENT_PATCH_LINUX_INT FREEDOM_CLIENT_PATCH_INT
#define FREEDOM_CLIENT_NIQS_LINUX  "freedom-linux-" FREEDOM_CLIENT_MAJOR_LINUX "." FREEDOM_CLIENT_MINOR_LINUX "-" FREEDOM_CLIENT_PATCH_LINUX

/* Mac versions */
#define FREEDOM_CLIENT_MAJOR_MAC FREEDOM_CLIENT_MAJOR
#define FREEDOM_CLIENT_MAJOR_MAC FREEDOM_CLIENT_MAJOR
#define FREEDOM_CLIENT_PATCH_MAC FREEDOM_CLIENT_PATCH
#define FREEDOM_CLIENT_MAJOR_MAC_INT FREEDOM_CLIENT_MAJOR_INT
#define FREEDOM_CLIENT_MINOR_MAC_INT FREEDOM_CLIENT_MINOR_INT
#define FREEDOM_CLIENT_PATCH_MAC_INT FREEDOM_CLIENT_PATCH_INT
#define FREEDOM_CLIENT_NIQS_MAC  "freedom-mac-" FREEDOM_CLIENT_MAJOR_MAC "." FREEDOM_CLIENT_MINOR_MAC "-" FREEDOM_CLIENT_PATCH_MAC

#endif /* CLIENTVERSIONS_H_ */
