/*
 *  $Id: zkTypes.h,v 1.9.20.1 2000/10/11 13:19:55 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 *  
 *  zkTypes.h
 */ 
#ifndef _ZKTYPES_H
#define _ZKTYPES_H

#ifndef WIN32
#include <netinet/in.h>
#else
#include <winsock2.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

    typedef struct stdHdr {
        uint8_t zkVers;         /* Version */
        uint8_t zkType;         /* Type of pkt */
        uint32_t zkLen;         /* Length of pkt */
    } ZkStdHdr;                 /* StdHdr */


/*
** boolean type 
*/
typedef uint32_t                ZkBool;



#ifdef __cplusplus
}
#endif /* __cplusplus */

#ifndef INADDR_NONE     
#define INADDR_NONE 0xfffffff
#endif

#endif /* _ZKTYPES_H */
