/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKDTSTAMP_H_
#define ZKDTSTAMP_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

DLLExport int zkDTStampCurrentUTCTime (
  ZkError ,            /* Return the error if one occured */
  char * ,             /* pre-allocated buffer which will hold the timestamp */
  size_t );            /* Number of bytes in the buffer */

DLLExport int zkDTStampCurrentLocalTime (
  ZkError ,            /* Return the error if one occured */
  char * ,             /* pre-allocated buffer which will hold the timestamp */
  size_t );            /* Number of bytes in the buffer */


#endif /* ZKDTSTAMP_H_ */

